# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: matplotlib-base
  version: 3.6.2
source:
  patches:
    - 000_use_github_url_qhull.patch
  sha256: 5ac5ca25e6ecd1e7711e1f859b4b6f74f290ef517387d1502bf8012bf2b1647e
  url: https://github.com/matplotlib/matplotlib/archive/v3.6.2.tar.gz
build:
  ignore_run_exports:
    - tk
    - zlib
  number: 0
  string: py38h945d387_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.10.11 h06a4308_0
    - certifi 2022.9.24 py38h06a4308_0
    - flit-core 3.6.0 pyhd3eb1b0_0
    - freetype 2.10.4 h5ab3b9f_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.37 hbc83047_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py38h7f8727e_0
    - mkl_fft 1.3.1 py38hd3c417c_0
    - mkl_random 1.2.2 py38h51133e4_0
    - ncurses 6.3 h5eee18b_3
    - numpy 1.19.2 py38h7895c89_1
    - numpy-base 1.19.2 py38h4c65ebe_1
    - openssl 1.1.1s h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 22.2.2 py38h06a4308_0
    - pyparsing 3.0.9 py38h06a4308_0
    - python 3.8.15 h7a1cb2a_2
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py38h06a4308_0
    - setuptools-scm 7.0.4 py38h06a4308_0
    - setuptools_scm 7.0.4 hd3eb1b0_0
    - setuptools_scm_git_archive 1.1 py38h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.40.0 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py38h06a4308_0
    - typing-extensions 4.4.0 py38h06a4308_0
    - typing_extensions 4.4.0 py38h06a4308_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.8 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - contourpy >=1.0.1
    - cycler >=0.10
    - fonttools >=4.22.0
    - freetype >=2.10.4,<3.0a0
    - freetype >=2.3
    - kiwisolver >=1.0.1
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - numpy >=1.19.2,<2.0a0
    - packaging >=20.0
    - pillow >=6.2.0
    - pyparsing >=2.2.1
    - python >=3.8,<3.9.0a0
    - python-dateutil >=2.7
test:
  commands:
    - pip check
  imports:
    - matplotlib
    - matplotlib._image
    - matplotlib._path
    - matplotlib._qhull
    - matplotlib._tri
    - matplotlib._ttconv
    - matplotlib.backends._backend_agg
    - matplotlib.backends._tkagg
    - matplotlib.ft2font
    - matplotlib.pyplot
    - mpl_toolkits
    - pylab
  requires:
    - pip
    - pytest
about:
  description: 'Matplotlib produces publication-quality figures in a variety of hardcopy
    formats

    and interactive environments across platforms. Matplotlib can be used in

    Python scripts, Python/IPython shells, web application servers,

    and various graphical user interface toolkits.

    '
  dev_url: https://github.com/matplotlib/matplotlib/
  doc_source_url: https://github.com/matplotlib/matplotlib/tree/main/doc
  doc_url: https://matplotlib.org/stable/users/index.html
  home: https://matplotlib.org/
  license: LicenseRef-PSF-based
  license_family: PSF
  license_file: LICENSE/LICENSE
  license_url: https://matplotlib.org/stable/users/project/license.html
  summary: Publication quality figures in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 6dbf179f-1a9e-4350-8383-a66312e6a597
  recipe-maintainers:
    - dopplershift
    - mdboom
    - ocefpaf
    - pelson
    - tacaswell
  remote_url: git@github.com:AnacondaRecipes/matplotlib-feedstock.git
  sha: 9aacbd951868806a9a5d458a5ab0ffc7c1d283fd
